%define version 4.0
%define release 13mdk

Summary:	The GNU versions of common file management utilities
Name:		fileutils
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		File tools
BuildRequires: libtermcap-devel

Source0:	ftp://prep.ai.mit.edu/pub/gnu/fileutils-%{version}p.tar.bz2
Source1:	DIR_COLORS
Source2:	color_ls.sh
Source3:	color_ls.csh
Source4:	fileutils-3.16-pofiles.tar.bz2

Patch1:		fileutils-4.0-spacedir.patch.bz2
Patch3:		fileutils-4.0m-dest.patch.bz2
Patch4:		fileutils-4.0-samefile.patch.bz2
Patch5:		fileutils-4.0-C.patch.bz2
Patch6:		fileutils-4.0m-nodoors.patch.bz2
Patch7:		fileutils-4.0p-strip.patch.bz2
Patch8:		fileutils-install-specialbits.patch.bz2
Patch9:		fileutils-cp-x.patch.bz2
Patch10:	fileutils-4.0p-overwrite.patch.bz2
Patch11:	fileutils-ls-dumbterm.patch.bz2

Buildroot:	%{_tmppath}/fileutils-root
Prereq:		/sbin/install-info
Prefix:		%{_prefix}

%description
The fileutils package includes a number of GNU versions of common and popular
file management utilities.

Fileutils includes the following tools:
  * chgrp: changes a file's group ownership,
  * chown: changes a file's ownership,
  * chmod: changes a file's permissions,
  * cp: copies files,
  * dd: copies and converts files,
  * df: shows a filesystem's disk usage,
  * dir: gives a brief directory listing,
  * dircolors: the setup program for the color version of the ls command,
  * du: shows disk usage,
  * install: copies files and sets permissions,
  * ln: creates file links,
  * ls: lists directory contents,
  * mkdir: creates directories,
  * mkfifo: creates FIFOs or named pipes,
  * mknod: creates special files,
  * mv: renames files,
  * rm: removes/deletes files,
  * rmdir: removes empty directories,
  * sync: synchronizes memory and disk,
  * touch: changes file timestamps and
  * vdir: provides long directory listings.

You should install the fileutils package, because it includes many file
management utilities that you'll use frequently.

%prep

%setup -n %{name}-4.0p -q 
%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
# %patch9 -p1
%patch10 -p1
%patch11 -p1

%build
rm -rf $RPM_BUILD_ROOT
%ifos linux
%configure --exec-prefix=/
%else
%configure
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%ifos linux
%makeinstall
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_datadir}/locale \
        install
%endif

( cd $RPM_BUILD_ROOT

  mkdir -p ./bin/
  mv -f .%{_bindir}/* ./bin/
  for i in dir dircolors du install mkfifo vdir shred
  do
    mv -f ./bin/$i .%{_bindir}/$i
  done

  mkdir -p ./etc/profile.d/
  install -m644 %{SOURCE1} ./etc
  install -m755 %{SOURCE2} ./etc/profile.d/
  install -m755 %{SOURCE3} ./etc/profile.d/

)

# install languages by hand
for i in $RPM_SOURCE_DIR/%{name}-*pofiles.tar.bz2 ; do
        tar Ixkvf $i || :
done
for i in po/*.po ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o $RPM_BUILD_ROOT%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i ||:
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config /etc/DIR_COLORS
%config /etc/profile.d/color_ls.sh
%config /etc/profile.d/color_ls.csh

/bin/chgrp
/bin/chown
/bin/chmod
/bin/cp
/bin/dd
/bin/df
/bin/ln
/bin/ls
/bin/mkdir
/bin/mknod
/bin/mv
/bin/rm
/bin/rmdir
/bin/sync
/bin/touch

%{_bindir}/dir
%{_bindir}/dircolors
%{_bindir}/du
%{_bindir}/install
%{_bindir}/mkfifo
%{_bindir}/shred
%{_bindir}/vdir

%{_mandir}/man1/chgrp.1*
%{_mandir}/man1/chown.1*
%{_mandir}/man1/chmod.1*
%{_mandir}/man1/cp.1*
%{_mandir}/man1/dd.1*
%{_mandir}/man1/df.1*
%{_mandir}/man1/dir.1*
%{_mandir}/man1/dircolors.1*
%{_mandir}/man1/du.1*
%{_mandir}/man1/install.1*
%{_mandir}/man1/ln.1*
%{_mandir}/man1/ls.1*
%{_mandir}/man1/mkdir.1*
%{_mandir}/man1/mkfifo.1*
%{_mandir}/man1/mknod.1*
%{_mandir}/man1/mv.1*
%{_mandir}/man1/rm.1*
%{_mandir}/man1/rmdir.1*
%{_mandir}/man1/shred.1*
%{_mandir}/man1/sync.1*
%{_mandir}/man1/touch.1*
%{_mandir}/man1/vdir.1*

%{_infodir}/fileutils*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-13mdk
- automatically added BuildRequires

* Thu Jul 20 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0-12mdk
- Human readable description

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-11mdk
- Correct %post.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-10mdk
- BM.
- more macros.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-9mdk
- Fix color_ls.sh.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-8mdk
- Merge with rh patchs.
- Clean up specs.
- Upgrade groups.

* Sun Feb 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-7mdk
- Add --sh to dircolors.sh (Ariel Faigon <ariel@yendor.com>).

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-6mdk
- Use %find-lang for locales files.
- Merge with redhat patches.

* Fri Jan 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Catalan catalog file (po/ca.po)

* Wed Dec 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix output of mkdir --verbose -p (bero).
- Add -C for compatibilty with BSD (bero).

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 4.0.
- Merge with redhat changes.

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Don't put colors on a Emacs term.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- 4.0i
- colorize xterm-color and color-xterm

* Tue Nov 24 1998 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- Modify DIR_COLORS to recognize bzip, bzip2, tzip and rpm archives and
  .jpeg, .tif, .tiff, .png graphics.
- Colorize ansi and rxvt terminals
- bzip2 man/info pages
